/**
 * @file
 * Plugin jQuery Tablesorter.
 */

(function ($) {
  Drupal.behaviors.tablesorter = {
    attach: function (context, settings) {
      let drupalSettings = {};

      if (settings.tablesorter) {
        // Add a theme.
        if (settings.tablesorter.theme) {
          drupalSettings.theme = settings.tablesorter.theme;
        }

        // Add widgets.
        if (settings.tablesorter.widgets) {
          drupalSettings.widgets = settings.tablesorter.widgets;

          // Add zebra stripe classes.
          if (settings.tablesorter.widgets.indexOf('zebra') >= 0) {
            drupalSettings.widgetsZebra = {
              css: [settings.tablesorter.odd, settings.tablesorter.even]
            };
          }
        }
      }

      $('.tablesorter', context).each(function (idx, table) {
        // Initialize tablesorter.
        const $table = $(table);
        $table.once('tablesorter', function () {
          $table.tablesorter(drupalSettings);
        });

        // Add the pager.
        $pager = $("#tableSorter_pager", context);
        if ($pager.length !== 0) {
          $table.tablesorterPager({
            container: $pager
          });
        }
      });
    }
  };
})(jQuery);
